Retrieve inbox DIDs
Roles
Analytics Events
/v1/messaging/inboxes/{id}/didsRetrieves a list of all the DIDs registered with the requested inbox.
Analytic events
- MESSAGING_INBOX_DID_RETRIEVE_LIST_START
- MESSAGING_INBOX_DID_RETRIEVE_LIST_SUCCESS
- MESSAGING_INBOX_DID_RETRIEVE_LIST_FAIL
Authorization
bearerAuth In: header
Path Parameters
Requested inbox ID
Query Parameters
Range size of returned list.
1001 <= value <= 1000Starting point for the list of entries.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.vii.au01.mattr.global/v1/messaging/inboxes/string/dids"{
"nextCursor": "Y3JlYXRlZEF0PTIwMjAtMDgtMjVUMDY6NDY6MDkuNTEwWiZpZD1hNjZmZmVhNS04NDhlLTQzOWQtODBhNC1kZGE1NWY1M2UzNmM",
"data": [
"did:key:did1",
"did:key:did2",
"did:key:did3"
]
}{
"code": "BadRequest",
"message": "Validation Error",
"details": [
{
"value": "notUUIDvalue",
"msg": "Invalid value",
"param": "inboxId",
"location": "params"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Register DID with an inbox POST
Register the provided DID to the requested inbox. <Callout> DID registration with inboxes is currently limited to `did:key`' </Callout> ### **Analytic events** * MESSAGING_INBOX_DID_REGISTER_START * MESSAGING_INBOX_DID_REGISTER_SUCCESS * MESSAGING_INBOX_DID_REGISTER_FAIL
Unregister DID with an inbox DELETE
Unregisters a DID from the requested inbox. ### **Analytic events** * MESSAGING_INBOX_DID_UNREGISTER_START * MESSAGING_INBOX_DID_UNREGISTER_SUCCESS * MESSAGING_INBOX_DID_UNREGISTER_FAIL